
From: "Mika Kukkonen" <mika@osdl.org>

  CC [M]  drivers/input/joystick/tmdc.o
drivers/input/joystick/tmdc.c: In function `tmdc_connect':
drivers/input/joystick/tmdc.c:325: warning: ordered comparison of pointer with
integer zero

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/input/joystick/tmdc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/input/joystick/tmdc.c~possible-buglet-in-drivers-input-joystick-tmdcc drivers/input/joystick/tmdc.c
--- 25/drivers/input/joystick/tmdc.c~possible-buglet-in-drivers-input-joystick-tmdcc	2004-07-07 22:53:26.283299200 -0700
+++ 25-akpm/drivers/input/joystick/tmdc.c	2004-07-07 22:53:26.286298744 -0700
@@ -322,7 +322,7 @@ static void tmdc_connect(struct gameport
 			tmdc->dev[j].evbit[0] = BIT(EV_KEY) | BIT(EV_ABS);
 
 			for (i = 0; i < models[m].abs && i < TMDC_ABS; i++) {
-				if (tmdc->abs[i] < 0) continue;
+				if (*(tmdc->abs[i]) < 0) continue;
 				set_bit(tmdc->abs[j][i], tmdc->dev[j].absbit);
 				tmdc->dev[j].absmin[tmdc->abs[j][i]] = 8;
 				tmdc->dev[j].absmax[tmdc->abs[j][i]] = 248;
_
